// =====================================================================
//  $Id: TModuleTable.hh,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __TMODULETABLE_HH
#define __TMODULETABLE_HH

#include "Tglobals.h"
#include "TModuleSpecified.hh"

class TModuleTable
  : public Tvector<TModuleSpecified>
{

  public:
    TModuleTable();
    ~TModuleTable();

  public:
    TModule* FindModule( const Tstring& id ) const;
    Tvoid AddModule( TModule* module, const Tstring& id, const TstringList& groups );
    Tvoid RemoveModule( Tint index );
    Tint GetSize() const;
    Tvoid Clear();

};

#endif
